Search found 894 matches

by jcfp
March 12th, 2008, 7:48 pm
Forum: Bug Reports
Topic: HTML characters and 'Last warnings'
Replies: 2
Views: 3308

HTML characters and 'Last warnings'

Special HTML characters, like are not properly handled in the 'Last warnings' shown on the Connections tab in the default interface. As a result, log messages like WARNING [assembler] missing reduce to rather cryptic phrases such as WARNING [assembler]  missing when viewed in a browser, because the ...
by jcfp
February 26th, 2008, 7:17 pm
Forum: Bug Reports
Topic: 0.3.2 "SyntaxError: invalid syntax" with python 2.4
Replies: 12
Views: 16616

0.3.2 "SyntaxError: invalid syntax" with python 2.4

Latest version doesn't seem to like python 2.4, although it is listed as supported in INSTALL.txt; the following error is found on startup when using python 2.4 (2.4.4-6ubuntu4 to be exact) on Ubuntu Gutsy: $ python2.4 ./SABnzbd.py Traceback (most recent call last):   File "./SABnzbd.py", line 26, i...
by jcfp
February 13th, 2008, 11:55 am
Forum: General Help
Topic: SABnzbd speed nearly always much lower than other clients
Replies: 10
Views: 14369

Re: SABnzbd speed nearly always much lower than other clients

It seems using some margin above the "typical file size" of 50MB makes sense. With the cache size set to just 55MB, that margin would be only 5MB; so basically, you assume that your system will be able to assemble and write the previous 50MB file to disk (thus making the cache memory available for t...
by jcfp
February 11th, 2008, 7:38 pm
Forum: General Help
Topic: --version vs. -v weirdness
Replies: 1
Views: 2994

--version vs. -v weirdness

I'll just let the facts speak for themselves. The following 100% reproducible issue is observed with both 0.3.0 and 0.3.1rc1, python source release, on Ubuntu Gutsy/7.10: [[email protected]] /tmp/SABnzbd-0.3.1rc1 $ ./SABnzbd.py -v SABnzbd.py-0.3.1rc1 [[email protected]] /tmp/SABnzbd-0.3.1rc1 $ ./SABnzbd.py ...
by jcfp
February 11th, 2008, 3:06 pm
Forum: Bug Reports
Topic: license problems in sabznbd+ (0.3.0)
Replies: 9
Views: 9546

Re: license problems in sabznbd+ (0.3.0)

:-*
by jcfp
February 11th, 2008, 2:45 pm
Forum: Bug Reports
Topic: license problems in sabznbd+ (0.3.0)
Replies: 9
Views: 9546

Re: license problems in sabznbd+ (0.3.0)

switch, I think you missed interfaces/smpl/templates/static/MochiKit/Style.js (partly (c) yahoo under a bsd license, statement + url in the file, starting line 167, but no copy included); other than that, looks fixed to me.
by jcfp
February 10th, 2008, 9:52 am
Forum: Bug Reports
Topic: license problems in sabznbd+ (0.3.0)
Replies: 9
Views: 9546

Re: license problems in sabznbd+ (0.3.0)

That makes two of us ;) Indeed, many different licenses exists and to make things even worse, some are incompatible even though at first glance they seem to have very similar goals. But for now, having the above issues solved is (imho) a major step forward. Thanks (to all) for the good work, really ...
by jcfp
February 9th, 2008, 10:03 am
Forum: Bug Reports
Topic: license problems in sabznbd+ (0.3.0)
Replies: 9
Views: 9546

Re: license problems in sabznbd+ (0.3.0)

Your comment on JSON.PY is a bit odd, since this is the one module that does not have a license problem. The source file itself is quite informative about its license and origins AND the LGPL-file is present, since SABnzbd itself is LGPL. How many (identical) copies of LGPL does one need? ??? :o Ca...
by jcfp
February 8th, 2008, 11:55 am
Forum: Bug Reports
Topic: license problems in sabznbd+ (0.3.0)
Replies: 9
Views: 9546

license problems in sabznbd+ (0.3.0)

While attempting to package sabnzbd+ for Ubuntu, I noticed the following copyright and licensing related problems: Main program: file sabnzbd/utils/json.py is released under the LGPL, but no copy of the license is include in the sabnzbd+ 0.3.0 release, although doing so is a requirement of this lice...